Pincode Serviceability Check

The API takes the pincode and returns an array of all the serviceable carrier partners

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Important Links

Run in Postman API Reference

Response

meta [meta parameters]

Field NameData TypeDescriptionExample
successBooleanIndicates the success of the API requesttrue
messageStringThe message from Clickpost. In case of success, it will be "SUCCESS". In case there are no carrier partners that are servicing the pincodes it will be”Pin code not serviceable""SUCCESS"
statusHTTP CodeThe HTTP response status code of the API request200

result [result parameters]

Field NameData TypeDescriptionExample
account_type__account_namestringAccount name of the carrier as stored in the Clickpost Dashboard"SDD_Delhivery"
account_type__courier_partner__nameStringName of the carrier partnerDelhivery
pickup_pincode_serviceability__order_typeStringOrder TypePREPAID
Query Params
string
required

Enter the username of the Clickpost dashboard

string
required

Enter the API key given to you by the Clickpost team

string
required
Defaults to 380001

The PIN code of the location for which you want to check serviceability

boolean
required
Defaults to true

Set as true if you want to check if the location is serviceable for pick up. Set as false otherwise

string
required
Defaults to false

Set as true if you want to check if the location is serviceable for reverse pick up. Set as false otherwise

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json